﻿<GenericInquiryScreen>
    <data-set>
        <relations format-version="3" relations-version="20190410" main-table="GIDesign" stable-sharing="True" file-name="(Name)">
            <link from="GIFilter (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIGroupBy (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIMassAction (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIMassUpdateField (DesignID)" to="GIDesign (DesignID)" />
            <link from="GINavigationScreen (DesignID)" to="GIDesign (DesignID)" />
            <link from="GINavigationParameter (DesignID, NavigationScreenLineNbr)" to="GINavigationScreen (DesignID, LineNbr)" />
            <link from="GIOn (DesignID, RelationNbr)" to="GIRelation (DesignID, LineNbr)" />
            <link from="GIRecordDefault (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIRelation (DesignID, ParentTable)" to="GITable (DesignID, Alias)" />
            <link from="GIRelation (DesignID, ChildTable)" to="GITable (DesignID, Alias)" />
            <link from="GIResult (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIResult (ObjectName, DesignID)" to="GITable (Alias, DesignID)" />
            <link from="GISort (DesignID)" to="GIDesign (DesignID)" />
            <link from="GITable (DesignID)" to="GIDesign (DesignID)" />
            <link from="GIWhere (DesignID)" to="GIDesign (DesignID)" />
            <link from="SiteMap (Url)" to="GIDesign (DesignID)" type="WeakByUrl" linkname="toDesignById" baseurl="~/GenericInquiry/GenericInquiry.aspx" paramnames="id" />
            <link from="SiteMap (Url)" to="GIDesign (Name)" type="WeakByUrl" linkname="toDesignByName" baseurl="~/GenericInquiry/GenericInquiry.aspx" />
            <link from="ListEntryPoint (ListScreenID)" to="SiteMap (ScreenID)" />
            <link from="SiteMap (ScreenID)" to="GIDesign (PrimaryScreenIDNew)" linkname="to1Screen" />
            <link from="SiteMap (NodeID)" to="SiteMap (ParentID)" type="WeakToParent" recursive-nesting="yes" include-parents="False" />
            <link from="FilterHeader (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="FilterRow (FilterID)" to="FilterHeader (FilterID)" />
            <link from="PivotTable (NoteID)" to="FilterHeader (RefNoteID)" />
            <link from="PivotField (ScreenID, PivotTableID)" to="PivotTable (ScreenID, PivotTableID)" />
            <link from="MUIScreen (NodeID)" to="SiteMap (NodeID)" />
            <link from="MUIWorkspace (WorkspaceID)" to="MUIScreen (WorkspaceID)" type="FromMaster" linkname="workspaceToScreen" split-location="yes" updateable="True" />
            <link from="MUISubcategory (SubcategoryID)" to="MUIScreen (SubcategoryID)" type="FromMaster" updateable="True" />
            <link from="MUITile (ScreenID)" to="SiteMap (ScreenID)" />
            <link from="MUIWorkspace (WorkspaceID)" to="MUITile (WorkspaceID)" type="FromMaster" linkname="workspaceToTile" split-location="yes" updateable="True" />
            <link from="MUIArea (AreaID)" to="MUIWorkspace (AreaID)" type="FromMaster" updateable="True" />
            <link from="MUIPinnedScreen (NodeID, WorkspaceID)" to="MUIScreen (NodeID, WorkspaceID)" type="WeakIfEmpty" isEmpty="Username" />
            <link from="MUIFavoriteWorkspace (WorkspaceID)" to="MUIWorkspace (WorkspaceID)" type="WeakIfEmpty" isEmpty="Username" />
            <link from="GIDesign (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIFilter (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIFilter (NoteID)" to="GIFilterKvExt (RecordID)" type="RowKvExt" />
            <link from="GIGroupBy (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIOn (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIRelation (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIResult (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIResult (NoteID)" to="GIResultKvExt (RecordID)" type="RowKvExt" />
            <link from="GISort (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GITable (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="GIWhere (NoteID)" to="Note (NoteID)" type="Note" />
            <link from="FilterHeader (NoteID)" to="Note (NoteID)" type="Note" />
        </relations>
        <layout>
            <table name="GIDesign">
                <table name="GIFilter" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                    <table name="GIFilterKvExt" uplink="(NoteID) = (RecordID)" />
                </table>
                <table name="GIGroupBy" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GIMassAction" uplink="(DesignID) = (DesignID)" />
                <table name="GIMassUpdateField" uplink="(DesignID) = (DesignID)" />
                <table name="GINavigationScreen" uplink="(DesignID) = (DesignID)">
                    <table name="GINavigationParameter" uplink="(DesignID, LineNbr) = (DesignID, NavigationScreenLineNbr)" />
                </table>
                <table name="GIRecordDefault" uplink="(DesignID) = (DesignID)" />
                <table name="GISort" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GITable" uplink="(DesignID) = (DesignID)">
                    <table name="GIRelation" uplink="(DesignID, Alias) = (DesignID, ParentTable)">
                        <table name="GIOn" uplink="(DesignID, LineNbr) = (DesignID, RelationNbr)">
                            <table name="Note" uplink="(NoteID) = (NoteID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="GIResult" uplink="(Alias, DesignID) = (ObjectName, DesignID)">
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                        <table name="GIResultKvExt" uplink="(NoteID) = (RecordID)" />
                    </table>
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="GIWhere" uplink="(DesignID) = (DesignID)">
                    <table name="Note" uplink="(NoteID) = (NoteID)" />
                </table>
                <table name="SiteMap" uplink="(DesignID) = (Url)" recursion="(NodeID) = (ParentID)" linkname="toDesignById">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="SiteMap" uplink="(Name) = (Url)" recursion="(NodeID) = (ParentID)" linkname="toDesignByName">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="SiteMap" uplink="(PrimaryScreenIDNew) = (ScreenID)" recursion="(NodeID) = (ParentID)" linkname="to1Screen">
                    <table name="ListEntryPoint" uplink="(ScreenID) = (ListScreenID)" />
                    <table name="FilterHeader" uplink="(ScreenID) = (ScreenID)">
                        <table name="FilterRow" uplink="(FilterID) = (FilterID)" />
                        <table name="PivotTable" uplink="(RefNoteID) = (NoteID)">
                            <table name="PivotField" uplink="(ScreenID, PivotTableID) = (ScreenID, PivotTableID)" />
                        </table>
                        <table name="Note" uplink="(NoteID) = (NoteID)" />
                    </table>
                    <table name="MUIScreen" uplink="(NodeID) = (NodeID)">
                        <table name="MUIPinnedScreen" uplink="(NodeID, WorkspaceID) = (NodeID, WorkspaceID)" />
                    </table>
                    <table name="MUITile" uplink="(ScreenID) = (ScreenID)" />
                </table>
                <table name="Note" uplink="(NoteID) = (NoteID)" />
            </table>
            <table name="MUIWorkspace">
                <table name="MUIFavoriteWorkspace" uplink="(WorkspaceID) = (WorkspaceID)" />
            </table>
            <table name="MUISubcategory" />
            <table name="MUIArea" />
        </layout>
        <data>
            <GIDesign>
                <row DesignID="87702e79-2f56-4295-846f-cf428c94fc70" Name="For Picking" FilterColCount="3" PageSize="0" ExportTop="0" PrimaryScreenIDNew="PL501000" NewRecordCreationEnabled="1" MassDeleteEnabled="0" AutoConfirmDelete="0" MassRecordsUpdateEnabled="0" MassActionsOnRecordsEnabled="0" ExposeViaOData="0" ExposeViaMobile="0">
                    <GINavigationScreen ScreenID="SO301000" LineNbr="2" WindowMode="S" />
                    <GINavigationScreen ScreenID="PL501000" LineNbr="1" WindowMode="S" />
                    <GITable Alias="SOOrder" Name="PX.Objects.SO.SOOrder">
                        <GIRelation LineNbr="1" ChildTable="SOLine" IsActive="1" JoinType="I">
                            <GIOn LineNbr="2" ParentField="SOOrder.OrderNbr" Condition="E " ChildField="orderNbr" Operation="A" />
                            <GIOn LineNbr="1" ParentField="SOOrder.OrderType" Condition="E " ChildField="orderType" Operation="A" />
                        </GIRelation>
                        <GIResult LineNbr="5" SortOrder="5" IsActive="1" Field="status" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="c72d4e79-17b6-45c8-b9d0-bc9f965a8917" />
                        <GIResult LineNbr="4" SortOrder="4" IsActive="1" Field="orderNbr" IsVisible="1" DefaultNav="0" NavigationNbr="2" QuickFilter="0" FastFilter="1" RowID="92cd01a8-befc-4c5b-b1f7-064a42604e56" />
                        <GIResult LineNbr="3" SortOrder="3" IsActive="1" Field="orderType" IsVisible="1" DefaultNav="0" NavigationNbr="2" QuickFilter="0" FastFilter="1" RowID="cf7fa06b-086b-410f-9085-6feccc50352c" />
                        <GIResult LineNbr="1" SortOrder="1" IsActive="1" Field="customerID_description" Caption="Customer Name" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="b2efa53f-0285-45f0-9d7c-09857bd89068" />
                    </GITable>
                    <GITable Alias="SOLine" Name="PX.Objects.SO.SOLine">
                        <GIRelation LineNbr="2" ChildTable="ARTran" IsActive="1" JoinType="L">
                            <GIOn LineNbr="5" ParentField="lineNbr" Condition="E " ChildField="sOOrderLineNbr" Operation="A" />
                            <GIOn LineNbr="4" ParentField="orderNbr" Condition="E " ChildField="sOOrderNbr" Operation="A" />
                            <GIOn LineNbr="3" ParentField="orderType" Condition="E " ChildField="sOOrderType" Operation="A" />
                        </GIRelation>
                        <GIResult LineNbr="15" SortOrder="15" IsActive="0" Field="usrPOSTransID" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="93b00037-c252-442c-907e-a2d0753aa353" />
                        <GIResult LineNbr="14" SortOrder="14" IsActive="1" Field="vendorID_description" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="0738ed94-1a4a-4e64-9519-8667da53f026" />
                        <GIResult LineNbr="13" SortOrder="13" IsActive="1" Field="vendorID" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="888016e2-00f8-4c62-a0fd-23eb5b3b90d4" />
                        <GIResult LineNbr="12" SortOrder="12" IsActive="1" Field="salesPersonID_description" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="8d20fdaf-1ec7-41f1-b7d9-c50f0812ab5a" />
                        <GIResult LineNbr="11" SortOrder="11" IsActive="1" Field="salesPersonID" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="0aae13e1-b484-4a1d-9778-d3c6b566436c" />
                        <GIResult LineNbr="10" SortOrder="10" IsActive="0" Field="usrAvailableQty" Caption="Available Qty" IsVisible="1" DefaultNav="1" AggregateFunction="AVG" QuickFilter="0" FastFilter="1" RowID="a87740d0-4788-4c04-a343-b1447fb2a730" />
                        <GIResult LineNbr="9" SortOrder="9" IsActive="1" Field="usrBalanceQty" Caption="Balance Qty" IsVisible="1" DefaultNav="1" AggregateFunction="SUM" QuickFilter="0" FastFilter="1" RowID="106e734c-2a3b-4c15-96c7-d914029afe38" />
                        <GIResult LineNbr="8" SortOrder="8" IsActive="1" Field="orderQty" IsVisible="1" DefaultNav="1" AggregateFunction="SUM" QuickFilter="0" FastFilter="1" RowID="233843a5-df3d-4847-9ded-ecd642c036dd" />
                        <GIResult LineNbr="2" SortOrder="2" IsActive="1" Field="requestDate" Caption="Request On Date" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="0" RowID="ff88adb8-1444-4183-89a3-508b0c37cdab" />
                    </GITable>
                    <GITable Alias="ARTran" Name="PX.Objects.AR.ARTran">
                        <GIRelation LineNbr="3" ChildTable="ARInvoice" IsActive="1" JoinType="I">
                            <GIOn LineNbr="7" ParentField="ARTran.RefNbr" Condition="E " ChildField="ARInvoice.RefNbr" Operation="A" />
                            <GIOn LineNbr="6" ParentField="tranType" Condition="E " ChildField="docType" Operation="A" />
                        </GIRelation>
                    </GITable>
                    <GITable Alias="ARInvoice" Name="PX.Objects.AR.ARInvoice">
                        <GIResult LineNbr="7" SortOrder="7" IsActive="1" Field="refNbr" Caption="Invoice Nbr" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="8120a1d2-f8ba-4fbe-926e-d928d7ee6242" />
                        <GIResult LineNbr="6" SortOrder="6" IsActive="1" Field="docType" Caption="Invoice Type" IsVisible="1" DefaultNav="1" QuickFilter="0" FastFilter="1" RowID="5dc01bc1-767d-412b-ae2b-887583195fff" />
                    </GITable>
                    <GIWhere LineNbr="7" IsActive="1" DataFieldName="SOLine.usrConfirmShipment" Condition="NE" IsExpression="1" Value1="C" Operation="A" />
                    <GIWhere LineNbr="6" IsActive="1" DataFieldName="SOLine.usrConfirmShipment" Condition="NE" IsExpression="1" Value1="D" Operation="A" />
                    <GIWhere LineNbr="5" IsActive="1" DataFieldName="SOOrder.usrBalanceQty" Condition="G " IsExpression="0" Value1="0" Operation="A" />
                    <GIWhere LineNbr="4" IsActive="1" DataFieldName="SOOrder.status" Condition="E " IsExpression="1" Value1="B" CloseBrackets=")        " Operation="A" />
                    <GIWhere LineNbr="3" IsActive="1" OpenBrackets="(        " DataFieldName="SOOrder.status" Condition="E " IsExpression="1" Value1="N" Operation="O" />
                    <GIWhere LineNbr="2" IsActive="1" DataFieldName="SOOrder.openOrderQty" Condition="G " IsExpression="0" Value1="0" Operation="A" />
                    <GIWhere LineNbr="1" IsActive="1" DataFieldName="SOLine.usrForeCastDate" Condition="NN" IsExpression="0" Operation="A" />
                    <SiteMap linkname="toDesignById">
                        <row Position="1126" Title="For Picking" Url="~/GenericInquiry/GenericInquiry.aspx?id=87702e79-2f56-4295-846f-cf428c94fc70" Expanded="0" IsFolder="0" ScreenID="GISPU110" NodeID="456f6245-b564-44cd-9f3d-d8ec3d7dfd6e" ParentID="12167736-ae7e-46ab-8a8c-dd4b86217519">
                            <MUIScreen IsPortal="0" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="2660" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" />
                            <SiteMap Position="830" Title="Primary Lists" Expanded="0" IsFolder="0" NodeID="12167736-ae7e-46ab-8a8c-dd4b86217519">
                                <SiteMap Position="74" Title="Hidden" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="HD000000" NodeID="84351bc9-bf6c-48b5-9dea-f8207283b64a">
                                    <SiteMap Position="3" Title="Sitemap Root" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="00000000" NodeID="00000000-0000-0000-0000-000000000000" />
                                </SiteMap>
                            </SiteMap>
                        </row>
                    </SiteMap>
                    <SiteMap linkname="to1Screen">
                        <row Position="1" Title="Picking Process" Url="~/Pages/PL/PL501000.aspx" Expanded="0" IsFolder="0" NodeID="b0a1a1f7-9daa-4516-8b37-c6d1872baa93" ParentID="2302d6d5-c76b-4b12-bfb9-7770c6bfb2a1" />
                        <row Position="0" Title="Pick List Processing" Url="~/Pages/PL/PL501000.aspx" Expanded="0" IsFolder="0" NodeID="9097ee6d-d3fc-4df0-bc6a-b4371a05f49f" ParentID="603c021a-c082-451d-96aa-a9f6d988043f">
                            <MUIScreen IsPortal="0" WorkspaceID="cbed38cc-5834-4fbb-80a6-8d9a70c32e95" Order="15" SubcategoryID="32130442-2305-4394-9389-cf915b191d2a" />
                            <SiteMap Position="1" Title="Daily" Expanded="1" IsFolder="0" NodeID="603c021a-c082-451d-96aa-a9f6d988043f">
                                <SiteMap Position="2" Title="Processes" Description="main@ProcessF" Expanded="1" IsFolder="0" NodeID="ea2e55d5-bf97-4713-bed9-fbc62269631e">
                                    <SiteMap Position="540" Title="Dispatch" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="DS000001" NodeID="70f71e7d-8ff8-4b65-a756-8022024e1b17">
                                        <SiteMap Position="30" Title="Dispatch Dashboard" Url="~/Frames/Default.aspx?scrID=DS000000" Expanded="0" IsFolder="0" ScreenID="DS000000" NodeID="91d578ba-75b6-4fa9-a532-9457a6383a62">
                                            <MUIScreen IsPortal="0" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="20" SubcategoryID="29d8e453-ee74-405d-abe1-930728d1f9ba" />
                                            <MUIScreen IsPortal="0" WorkspaceID="cbed38cc-5834-4fbb-80a6-8d9a70c32e95" Order="10" SubcategoryID="29d8e453-ee74-405d-abe1-930728d1f9ba" />
                                            <SiteMap Position="3" Title="Sitemap Root" Url="~/Frames/Default.aspx" Expanded="0" IsFolder="0" ScreenID="00000000" NodeID="00000000-0000-0000-0000-000000000000" />
                                        </SiteMap>
                                    </SiteMap>
                                </SiteMap>
                            </SiteMap>
                        </row>
                    </SiteMap>
                </row>
            </GIDesign>
            <MUIWorkspace>
                <row IsPortal="1" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="5" Title="Data Views" Icon="poll" IsSystem="1" />
                <row IsPortal="0" WorkspaceID="bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" Order="32" Title="Data Views" Icon="poll" IsSystem="1" />
                <row IsPortal="0" WorkspaceID="cbed38cc-5834-4fbb-80a6-8d9a70c32e95" Order="48" Title="Dispatch" Icon="local_shipping" AreaID="62cfd5dc-8eb9-4e92-bbcd-e0a99eb5e5df" IsSystem="0">
                    <MUIFavoriteWorkspace IsPortal="0" Username="" IsFavorite="1" />
                </row>
            </MUIWorkspace>
            <MUISubcategory>
                <row IsPortal="1" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" Order="896" Name="Inquiries" Icon="" IsSystem="1" />
                <row IsPortal="0" SubcategoryID="98e86774-69e3-41ea-b94f-eb2c7a8426d4" Order="896" Name="Inquiries" Icon="" IsSystem="1" />
                <row IsPortal="1" SubcategoryID="29d8e453-ee74-405d-abe1-930728d1f9ba" Order="1478" Name="Dashboards" Icon="" IsSystem="1" />
                <row IsPortal="0" SubcategoryID="29d8e453-ee74-405d-abe1-930728d1f9ba" Order="1478" Name="Dashboards" Icon="" IsSystem="1" />
                <row IsPortal="0" SubcategoryID="32130442-2305-4394-9389-cf915b191d2a" Order="820" Name="Processes" Icon="" IsSystem="0" />
            </MUISubcategory>
            <MUIArea>
                <row IsPortal="0" AreaID="62cfd5dc-8eb9-4e92-bbcd-e0a99eb5e5df" Order="20" Name="Operations" />
            </MUIArea>
        </data>
    </data-set>
</GenericInquiryScreen>